#!/etc/opt/openit/perl

use FindBin qw( $Bin );
use File::Basename;


$zlib = $Bin . "/Zlib.pm";
$target_dir = `find /opt/openit/libexec/ -name Socket.pm | grep IO`;

# Clean the fetched directory string by removing "Socket.pm"
# For cases where the patch is placed in a path with space, format the paths to accommodate spaces
$target_dir =~ s/Socket\.pm//g;
$target_dir =~ s/\ /\\ /g;
$zlib =~ s/\ /\\ /g;

# Copy ZLIB perl module to fetched directory
print "Running command: cp -vrf " . $zlib . " " . $target_dir;
$exit_code = system( "cp -vrf " . $zlib . " " . $target_dir );

# Check if Zlib perl module has been successfully copied
if( $exit_code == 0 )
{
	print "Successfully copied Zlib perl module!\n";
}
else
{
	print "Failed to copy Zlib perl module!\n";
}
