# Copy files.
# Arg 1: Source directory
# Arg 2: Target directory
# Arg 3: Pattern of files to copy. (glob)
# 
# Author: Ivan Dustin B. Bilon
######################
use File::Copy;
use File::Glob ':glob';

my $from = shift;
my $to = shift;
my $patt = shift;

my @files = bsd_glob "$from/$patt";
foreach my $file (@files) {
    copy($file, $to) or die "$!";
}
