# Deletes files in a directory.
# Arg 1: Directory
# Arg 3: File pattern (glob)
# 
# Author: Ivan Dustin B. Bilon
######################
use File::Basename;
use File::Glob ':glob';
######################
my $from = shift;
my $patt = shift;
######################
my @from_files = bsd_glob "$from/$patt";
foreach my $file (@from_files) {
    unlink "$file" or warn "Could not delete file $file. $!";
}
