# Move files.
# Arg 1: Source directory.
# Arg 2: Target directory.
# Arg 3: Pattern of files to move. (glob)
# 
# Author: Ivan Dustin B. Bilon
######################
use File::Copy;
use File::Glob ':glob';

my $from = shift;
my $to = shift;
my $patt = shift;

my @files = bsd_glob "$from/$patt";
foreach my $file (@files) {
    move($file, $to) or die "Cannot move $file to $to: $!";
}
